### Method

# Adw ViewSwitcherSidebar set_placeholder

since: 1.9

#### Declaration [src]

    void
    adw_view_switcher_sidebar_set_placeholder (
      AdwViewSwitcherSidebar* self,
      GtkWidget* placeholder
    )

#### Description [src]

Sets the placeholder widget for `self`.

This widget will be shown if `self` has no items, or all of its items have been filtered out by `AdwViewSwitcherSidebar:filter`.

See `adw_sidebar_set_placeholder()`.

Available since: 1.9

Sets property | `Adw.ViewSwitcherSidebar:placeholder`

#### Parameters

`placeholder`

  Type: `GtkWidget`

  The placeholder widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.